%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		anjuta-extras
Version:	3.4.0
Release:	%mkrel 1
Summary:	Extensions for the Anjuta development environment
Source0:	http://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Development/Other
Url:		http://anjuta.sourceforge.net/
BuildRequires:  pkgconfig(gthread-2.0) >= 2.16.0
BuildRequires:  pkgconfig(libanjuta-3.0) >= 3.1.0
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	graphviz-devel
BuildRequires:	binutils-devel
BuildRequires:	intltool
BuildRequires:	gnome-common
Requires:	anjuta >= 3.1.0

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
on GNOME Desktop Environment and features a number of advanced
programming facilities.

This package contains extensions to Anjuta:
* Profiler
* Sample
* Scintilla Editor
* Scratchbox
* Valgrind Plugin

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS NEWS
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/anjuta/anjuta-*.plugin
%{_libdir}/anjuta/libanjuta-*.so
%{_datadir}/anjuta/glade/anjuta-*
%dir %{_datadir}/anjuta/properties
%{_datadir}/anjuta/properties/*.properties
%{_datadir}/anjuta/ui/anjuta-sample.ui
%{_datadir}/anjuta/ui/anjuta-scintilla.xml
%{_datadir}/pixmaps/anjuta/anjuta-*
%{_datadir}/gnome/help/anjuta-manual/*/scintilla-plugin.page


%changelog

* Sat Apr 21 2012 mitya <mitya> 3.4.0-1.mga2
+ Revision: 232370
- Fix unpackaged files

  + ovitters <ovitters>
    - new version 3.4.0

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211392
- new version 3.3.90

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 3.3.4-1.mga2
+ Revision: 197388
- added gnome-doc-utils as BR
- new version 3.3.4

* Thu Oct 27 2011 obgr_seneca <obgr_seneca> 3.2.0-3.mga2
+ Revision: 158593
- rebuild against new anjuta

* Fri Oct 21 2011 obgr_seneca <obgr_seneca> 3.2.0-2.mga2
+ Revision: 157188
- rebuild for new anjuta

* Tue Sep 27 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 149082
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145840
- new version 3.1.92

  + wally <wally>
    - ease anjuta requires
    - new version 3.1.4

* Sat Jul 09 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 121395
- new version 3.1.3
- drop unneeded patch
- fix file list and don't own dirs belonging to anjuta
- clean .spec a bit

* Tue Jun 21 2011 dmorgan <dmorgan> 3.1.2-3.mga2
+ Revision: 111199
- Compile schemas

* Tue Jun 21 2011 fwang <fwang> 3.1.2-2.mga2
+ Revision: 111189
- update file list
- use gnome-autogen
- downgrade anjuta ver req
- new version 3.1.2

* Sun Mar 13 2011 obgr_seneca <obgr_seneca> 2.32.1.1-2.mga1
+ Revision: 70640
- imported package anjuta-extras


* Sat Mar 12 2011 Oliver Burger <oliver.bgr@googlemail.com> 2.32.1.1-2mga1
- cleaned up spec
- change require for anjuta (not anjuta2)
- removed buildroot tag
- added uninstall schemas to %%preun
- changed Buildrequires

* Tue Jan 04 2011 Götz Waschk <waschk@mandriva.org> 2.32.1.1-1mdv2011.0
+ Revision: 628525
- update to new version 2.32.1.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0.0-1mdv2011.0
+ Revision: 581892
- new version
- bump anjuta2 dep

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92.0-1mdv2011.0
+ Revision: 578817
- update to new version 2.31.92.0

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91.0-1mdv2011.0
+ Revision: 574905
- new version
- bump anjuta dep
- drop patch

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.90.0-1mdv2011.0
+ Revision: 571274
- new version
- drop patches 1,2

* Tue Aug 10 2010 Götz Waschk <waschk@mandriva.org> 2.31.1.0-1mdv2011.0
+ Revision: 568310
- new version
- fix build
- update file list

* Thu Apr 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.1.0-1mdv2010.1
+ Revision: 540766
- update to new version 2.30.1.0

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 530222
- new version

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 2.29.2.0-1mdv2010.1
+ Revision: 498606
- New version 2.29.2.0
- fix linking when configure-ing

* Wed Nov 25 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 470108
- rebuild for new binutils

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447491
- import anjuta-extras

